> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ether Last Price

> Retrieves the latest price of the native/gas token.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": {
      "ethbtc": "0.0368322132423383",
      "ethbtc_timestamp": "1759139509",
      "ethusd": "4129.30651044757",
      "ethusd_timestamp": "1759139509"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethprice.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Ether Last Price
  version: 2.0.0
  description: Retrieves the latest price of the native/gas token.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Ether Last Price
      description: Retrieves the latest price of the native/gas token.
      operationId: getEthprice
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to stats for this endpoint.
          schema:
            type: string
            default: stats
          example: stats
        - name: action
          in: query
          required: true
          description: Set to ethprice for this endpoint.
          schema:
            type: string
            default: ethprice
          example: ethprice
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: object
                    properties:
                      ethbtc:
                        type: string
                        description: Price of one ether in bitcoin.
                      ethbtc_timestamp:
                        type: string
                        description: >-
                          Time of the ETH/BTC price, as a UNIX timestamp in
                          seconds.
                      ethusd:
                        type: string
                        description: Price of one ether in US dollars.
                      ethusd_timestamp:
                        type: string
                        description: >-
                          Time of the ETH/USD price, as a UNIX timestamp in
                          seconds.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````